# GoogleChart Class Reference

Inheritance diagram for GoogleChart:
[legend]

List of all members.

## Public Member Functions

| __construct ()
| setColor (GoogleChartColor $color)
| setSize (GoogleChartSize $size)
| setType (GoogleChartType $type)
| setLabel (GoogleChartLabel $label)
| setData (GoogleChartData $data)
| getData ()
| setLegend (GoogleChartLegend $legend)
| setTitle ($title)
| addChartAreaFiller (Color $color)
| addBackgroundFiller (Color $color)
| addTransparencyFiller (Color $color)
| toString ()

## Static Public Member Functions

static | create ()

## Public Attributes

const | BASE_URL = 'http://chart.apis.google.com/chart?'

## Protected Attributes

| $color = null
| $size = null
| $type = null
| $label = null
| $data = null
| $legend = null
| $title = null
| $fillers = null

## Detailed Description

Definition at line 15 of file GoogleChart.class.php.

## Constructor & Destructor Documentation

GoogleChart::__construct | ( |  | ) |

Reimplemented in GoogleLineChart, GoogleNormalizedLineChart, and GooglePieChart.

Definition at line 36 of file GoogleChart.class.php.

References create().

Here is the call graph for this function:

## Member Function Documentation

GoogleChart::addBackgroundFiller | ( | Color $ | color | ) |

Definition at line 128 of file GoogleChart.class.php.

References GoogleChartSolidFillType::BACKGROUND, and GoogleChartSolidFillType::create().

Here is the call graph for this function:

GoogleChart::addChartAreaFiller | ( | Color $ | color | ) |

Definition at line 116 of file GoogleChart.class.php.

References GoogleChartSolidFillType::CHART_AREA, and GoogleChartSolidFillType::create().

Here is the call graph for this function:

GoogleChart::addTransparencyFiller | ( | Color $ | color | ) |

Definition at line 140 of file GoogleChart.class.php.

References GoogleChartSolidFillType::create(), and GoogleChartSolidFillType::TRANSPARENCY.

Here is the call graph for this function:

static GoogleChart::create | ( |  | ) | `[static]`

Returns:
  GoogleChart

Reimplemented in GoogleGridedLineChart, GoogleLineChart, GoogleNormalizedLineChart, and GooglePieChart.

Definition at line 31 of file GoogleChart.class.php.

Referenced by __construct(), and setTitle().

GoogleChart::getData | ( |  | ) |

Definition at line 91 of file GoogleChart.class.php.

Referenced by GoogleGridedLineChart::createDefault().

GoogleChart::setColor | ( | GoogleChartColor $ | color | ) |

Returns:
  GoogleChart

Definition at line 44 of file GoogleChart.class.php.

GoogleChart::setData | ( | GoogleChartData $ | data | ) |

Returns:
  GoogleChart

Definition at line 84 of file GoogleChart.class.php.

GoogleChart::setLabel | ( | GoogleChartLabel $ | label | ) |

Returns:
  GoogleChart

Definition at line 74 of file GoogleChart.class.php.

GoogleChart::setLegend | ( | GoogleChartLegend $ | legend | ) |

Returns:
  GoogleChart

Definition at line 99 of file GoogleChart.class.php.

GoogleChart::setSize | ( | GoogleChartSize $ | size | ) |

Returns:
  GoogleChart

Definition at line 54 of file GoogleChart.class.php.

GoogleChart::setTitle | ( | $ | title | ) |

Returns:
  GoogleChart

Definition at line 109 of file GoogleChart.class.php.

References $title, and create().

Here is the call graph for this function:

GoogleChart::setType | ( | GoogleChartType $ | type | ) |

Returns:
  GoogleChart

Definition at line 64 of file GoogleChart.class.php.

GoogleChart::toString | ( |  | ) |

Implements Stringable.

Reimplemented in GoogleGridedLineChart, and GoogleLineChart.

Definition at line 152 of file GoogleChart.class.php.

References Assert::isNotNull().

Here is the call graph for this function:

## Member Data Documentation

GoogleChart::$color = null`[protected]`

Definition at line 19 of file GoogleChart.class.php.

GoogleChart::$data = null`[protected]`

Definition at line 23 of file GoogleChart.class.php.

GoogleChart::$fillers = null`[protected]`

Definition at line 26 of file GoogleChart.class.php.

GoogleChart::$label = null`[protected]`

Definition at line 22 of file GoogleChart.class.php.

Referenced by GoogleGridedLineChart::createDefault().

GoogleChart::$legend = null`[protected]`

Definition at line 24 of file GoogleChart.class.php.

GoogleChart::$size = null`[protected]`

Definition at line 20 of file GoogleChart.class.php.

GoogleChart::$title = null`[protected]`

Definition at line 25 of file GoogleChart.class.php.

Referenced by setTitle().

GoogleChart::$type = null`[protected]`

Definition at line 21 of file GoogleChart.class.php.

const GoogleChart::BASE_URL = 'http://chart.apis.google.com/chart?'

Definition at line 17 of file GoogleChart.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleChart.class.php